/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.triz.trizservice.bean;

import com.triz.trizservice.modeles.ServiceFonctionnaliter;
import com.triz.trizservice.modeles.ServiceGroupe;
import com.triz.trizservice.modeles.ServiceUser;
import com.triz.trizservice.service.TransactionService;
import com.triz.util.UtilContext;
import java.util.Date;
import java.util.List;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

/**
 *
 * @author Asma
 */

@Component("groupBean")
@Scope("view")
public class GroupBean {
    private ServiceUser user;
    private ServiceGroupe groupeSelected;
    private List<ServiceFonctionnaliter> listeFonctionnalite;
    private List<ServiceGroupe> listeGroupe;

    @Autowired
    public TransactionService service;

    @Autowired
    public UtilContext context;

    @PostConstruct
    public void init() {
        System.out.println("//--------------init()GroupBean ");
        user = context.getCurrentUser();
        listeGroupe = service.getAllGroups();
        listeFonctionnalite = service.getAllFonctionalite();
    }
    
     public String ajouterGroupe() {
        return "form.xhtml?faces-redirect=true&canEdit=true";
    }

    public String voirGroupe(ServiceGroupe groupe) {
        return "form.xhtml?faces-redirect=true&groupe=" + groupe.getId();
    }

    public ServiceUser getUser() {
        return user;
    }

    public void setUser(ServiceUser user) {
        this.user = user;
    }

    public ServiceGroupe getGroupeSelected() {
        return groupeSelected;
    }

    public void setGroupeSelected(ServiceGroupe groupeSelected) {
        this.groupeSelected = groupeSelected;
    }

    public List<ServiceFonctionnaliter> getListeFonctionnalite() {
        return listeFonctionnalite;
    }

    public void setListeFonctionnalite(List<ServiceFonctionnaliter> listeFonctionnalite) {
        this.listeFonctionnalite = listeFonctionnalite;
    }

    public List<ServiceGroupe> getListeGroupe() {
        return listeGroupe;
    }

    public void setListeGroupe(List<ServiceGroupe> listeGroupe) {
        this.listeGroupe = listeGroupe;
    }
}
